| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csPartialOrder< T >::Node Class Reference

List of all members.

## Public Member Functions
| Node (const T &id)
| Node (const Node &other)
## Public Attributes
bool | marked
bool | output
csArray< size_t > | post
csArray< size_t > | pre
const T | self

## Detailed Description

### template<class T>
class csPartialOrder< T >::Node

Definition at line 55 of file partialorder.h.

The documentation for this class was generated from the following file:

- csutil/partialorder.h